## org.eclipse.amp.amf.acore.edit.commands.test
Class CommandTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.metaabm.tests.BasePersistTest
                  org.eclipse.amp.amf.acore.edit.commands.test.CommandTest

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  AgentComplexActsTest, ModelActsCommandTest, ModelConstructionCommandTest, ModelIDsCommandTest, ModelImplementationCommandTest, ModelProjectionsCommandTest, SetSinkFunctionCommandTest, StateTest

    public abstract class CommandTest

extends org.metaabm.tests.BasePersistTest

Field Summary
`boolean` `execOnly`
`protected static FFunction` `funcAdd`
`protected static FFunction` `funcEq`
`protected static FLibrary` `funcLog`
`protected static FFunction` `funcNot`
`protected static FLibrary` `funcNum`
`protected static SContext` `lib`
`protected static FLibrary` `library`
`boolean` `trace`

Fields inherited from class org.metaabm.tests.BasePersistTest
`doPersist, f, fa, path, persistContext, persistName, redoPersist, referenceCommand, referenceContext, referencePersist, testCommand, testContext, testPersist, undoPersist`

Constructor Summary
`CommandTest(java.lang.String name)`

Method Summary
`static void` `assertEqualNull(java.lang.String str0, java.lang.String str1)`
`protected void` `execTransform(org.metaabm.tests.Transformer transformer)`
`void` `executeTests(java.util.List<CommandTransformer> commandList)`
`org.eclipse.emf.common.notify.AdapterFactory` `getAdapterFactory()`
`org.eclipse.emf.edit.domain.EditingDomain` `getDomain()`
`boolean` `isUndo()`
`void` `setAdapterFactory(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)`
`void` `setDomain(org.eclipse.emf.edit.domain.EditingDomain domain)`
`protected void` `setUp()`
`protected void` `tearDown()`

Methods inherited from class org.metaabm.tests.BasePersistTest
`checkPersist, execTransform, redoTransform, undoTransform`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### trace

    public boolean trace

### execOnly

    public boolean execOnly

### lib

    protected static SContext lib

### library

    protected static FLibrary library

### funcLog

    protected static FLibrary funcLog

### funcNum

    protected static FLibrary funcNum

### funcAdd

    protected static FFunction funcAdd

### funcEq

    protected static FFunction funcEq

### funcNot

    protected static FFunction funcNot

Constructor Detail

### CommandTest

    public CommandTest(java.lang.String name)

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `org.metaabm.tests.BasePersistTest`
  Throws:
    `java.lang.Exception`

### execTransform

    protected void execTransform(org.metaabm.tests.Transformer transformer)

  Overrides:
    `execTransform` in class `org.metaabm.tests.BasePersistTest`

### executeTests

    public void executeTests(java.util.List<CommandTransformer> commandList)

### isUndo

    public boolean isUndo()

### getDomain

    public org.eclipse.emf.edit.domain.EditingDomain getDomain()

### setDomain

    public void setDomain(org.eclipse.emf.edit.domain.EditingDomain domain)

### getAdapterFactory

    public org.eclipse.emf.common.notify.AdapterFactory getAdapterFactory()

### setAdapterFactory

    public void setAdapterFactory(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Overrides:
    `tearDown` in class `org.metaabm.tests.BasePersistTest`
  Throws:
    `java.lang.Exception`

### assertEqualNull

    public static void assertEqualNull(java.lang.String str0,
                                       java.lang.String str1)